FROM golang:1.23-bullseye
# Installer ffmpeg et air
RUN apt-get update && \
    apt-get install -y ffmpeg curl && \
    curl -sSfL https://raw.githubusercontent.com/cosmtrek/air/master/install.sh | sh -s -- -b /usr/local/bin && \
    apt-get clean && rm -rf /var/lib/apt/lists/*

WORKDIR /app

COPY go.mod go.sum ./
RUN go mod download

COPY . .

# Lancer Air avec le bon chemin
CMD ["air", "-c", ".air.toml"]